2006/12/08

.NET2.0アプリが.NET3.5で動くらしい


「.NET 2.0アプリは.NET 3.5で動く」米MSの開発者がブログで言及(ITpro)

.NET Framework3.0は、Windows Vistaで標準搭載されますが、Windows Vistaの企業向けリリースは2006年11月30日、一般ユーザ向けは2007年1月30日です。

それなのに、.NET Framework3.5が2007年中にリリースされるとのこと。

なんといいますか、.NET Frameworのバージョンアップ速度が早すぎですねぇ。。。

一応.NET Framework2.0のアプリケーションは.NET Framework3.5でも問題なく動作するそうです。.NET Framework3.5のCLRが.NET Framework2.0と同じようなので。

ちなみに、.NET Framework2.0のアプリケーションも同様の理由で、.NET Framework3.0でも動作します。

逆に言えば、.NET Framework1.xのアプリケーションはだめということ?

これからも.NET Frameworkを使いたければ、最低でもVisual Studio 2005を購入して、.NET Framework2.0に移行しろということなのかなぁ。。。

Windows Vistaでは、.NET Framework1.0は動作保証されませんし、開発ツールもVisual Studio 2005 SP1以降もしくはVisual Basic 6.0しか動作保証されないようなので。

【参考】Windows Vista で動作する Visual Studio

うーむ。。。

まだ、Visual Studio .NET 2003 と.NET Framework1.1で開発中なのですが。。。








feedpath tags:   generated by feedpath

スポンサーリンク


このエントリーをはてなブックマークに追加




Twitter ではブログにはない、いろんな情報を発信しています。


コメント

こんにちは。いつも楽しく読ましていただいてます。

>まだ、Visual Studio .NET 2003 と.NET Framework1.1で開発中なのですが。。。
同じく、私もです・・・。
VistaのAeroを使ったUI層の開発とまでは、言いませんが、せめて、せめて、.NET2.0で開発させてほしい!と思うのは、私だけでしょうか・・・。

atthegateさん、コメントありがとうございます!
同感です。.NET2.0になれば、随分と楽になりますよね。
とはいえ、いまの.NET1.1のソースをどうするか。
かなりの部分は.NET2.0でもそのまま動作するにしても、
テストがしんどいですね。。。。

コメントを書く



プロフィール

  • 名前:fnya
    経歴:
    SE としての経験は15年以上。様々な言語と環境で業務系システム開発を行い、セキュリティ対策などもしていました。現在は趣味SE。

    Twitter では、ブログでは取り上げない情報も公開しています。


    ブログについて

    このブログは、IT、スマートフォン、タブレット、システム開発などに関するさまざまな話題を取り上げたり、雑感などをつづっています。


    >>ブログ詳細
    >>自作ツール
    >>運営サイト
    >>Windows 10 まとめ

    Twitter のフォローはこちらから Facebook ページはこちら Google+ページはこちら RSSフィードのご登録はこちらから